%define anolis_release 1
%global sover 0.8

Name:           yaml-cpp
Version:        0.8.0
Release:        %{anolis_release}%{?dist}

License:        MIT
Summary:        A YAML parser and emitter for C++
URL:            https://github.com/jbeder/yaml-cpp
Source0:        https://github.com/jbeder/yaml-cpp/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}
Requires:       libstdc++-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Static library for %{name}
Requires:       %{name}-devel = %{EVR}

%description    static
The %{name}-static package contains the static library for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -B build_static \
    -DCMAKE_BUILD_TYPE=Release \
    -DYAML_CPP_BUILD_TOOLS:BOOL=OFF \
    -DYAML_CPP_FORMAT_SOURCE:BOOL=OFF \
    -DYAML_CPP_INSTALL:BOOL=ON \
    -DYAML_BUILD_SHARED_LIBS:BOOL=OFF \
    -DYAML_CPP_BUILD_TESTS:BOOL=OFF
%make_build -C build_static

%cmake -B build_shared \
    -DCMAKE_BUILD_TYPE=Release \
    -DYAML_CPP_BUILD_TOOLS:BOOL=OFF \
    -DYAML_CPP_FORMAT_SOURCE:BOOL=OFF \
    -DYAML_CPP_INSTALL:BOOL=ON \
    -DYAML_BUILD_SHARED_LIBS:BOOL=ON \
    -DYAML_CPP_BUILD_TESTS:BOOL=OFF
%make_build -C build_shared

%install
%make_install -C build_static yaml-cpp

# Move files so they don't get trampled
mv %{buildroot}%{_libdir}/cmake/%{name} \
    %{buildroot}%{_libdir}/cmake/%{name}-static
mv %{buildroot}%{_libdir}/pkgconfig/%{name}.pc \
    %{buildroot}%{_libdir}/pkgconfig/%{name}-static.pc

%make_install -C build_shared

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_libdir}/lib%{name}*.so.%{sover}*
%{abidir}/*.dump

%files devel
%{_includedir}/yaml-cpp/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files static
%license LICENSE
%{_libdir}/lib%{name}.a
%{_libdir}/cmake/%{name}-static
%{_libdir}/pkgconfig/%{name}-static.pc

%changelog
* Sun Oct 01 2023 Funda Wang <fundawang@yeah.net> - 0.8.0-1
- Import package
